Bug 282801 - .xsession doesn't source profile
.xsession doesn't source profile
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 13:41 EDT by Dick Marinus
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch to fix this (1.39 KB, patch)
2007-12-20 02:22 EST, Matěj Cepl
no flags Details | Diff
diff between Xsession on F-7 and F-8 (1.03 KB, patch)
2007-12-20 02:28 EST, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Dick Marinus 2007-09-07 13:41:41 EDT
.xsession isn't started from a login shell anymore.

For example LANG isn't set anymore when starting .xsession.

I've worked around this by changing our .xsession file. (#!/bin/bash -i)
Comment 1 Søren Sandmann Pedersen 2007-12-19 11:47:04 EST
It should be. From Xsession:

    if [ -x "$HOME/.xsession" ]; then
        exec -l $SHELL -c "$SSH_AGENT $DBUS_LAUNCH $HOME/.xsession"

If you can find out what's going on on your system, I'd appreciate it.
Comment 2 Dick Marinus 2007-12-19 13:52:32 EST
That's Xsession from gdm isn't it? This bug is about xorg-x11-xdm which has a
own Xsession file (/etc/X11/xdm/Xsession).
Comment 3 Matěj Cepl 2007-12-20 01:32:31 EST
I am not sure about the situation on Fedora 7 in the moment, but on Fedora 8,
they are the same. Could we get an output of

locate Xsession |xargs ls -l

command, please?

On Fedora 8, it is:

[matej@viklef etc]$ locate Xsession |xargs ls -l
lrwxrwxrwx 1 root root   21 2007-12-04 19:14 /etc/gdm/Xsession ->
../X11/xinit/Xsession
lrwxrwxrwx 1 root root   17 2007-10-08 23:46 /etc/X11/xdm/Xsession ->
../xinit/Xsession
-rwxr-xr-x 1 root root 3375 2007-10-12 21:22 /etc/X11/xinit/Xsession
[matej@viklef etc]$ 

Comment 4 Dick Marinus 2007-12-20 01:48:59 EST
On Fedora 7:

lrwxrwxrwx 1 root root   21 2007-12-03 11:42 /etc/gdm/Xsession ->
../X11/xinit/Xsession
-rwxr-xr-x 1 root root 1009 2007-10-02 14:09 /etc/X11/xdm/Xsession
-rwxr-xr-x 1 root root 3278 2007-08-06 19:38 /etc/X11/xinit/Xsession

locate -0 Xsession |xargs -0 rpm -qf
xorg-x11-xdm-1.1.3-1fc7
xorg-x11-xinit-1.0.2-22.fc7
gdm-2.18.4-2.fc7
Comment 5 Matěj Cepl 2007-12-20 02:22:44 EST
Created attachment 290128 [details]
Suggested patch to fix this

Should be fairly easy to fix. Patch attached.
Comment 6 Matěj Cepl 2007-12-20 02:28:30 EST
Created attachment 290129 [details]
diff between Xsession on F-7 and F-8

Why we don't run $SSH_AGENT in F-7?
Comment 7 Bug Zapper 2008-05-14 10:17:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 22:21:44 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.